\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-4.5,-1) rectangle (4.5,5.5);
\fill[line width=1.5pt,color=A2,fill=A2] (-2,5) -- (-2,0) -- (3,0) -- cycle;
\draw[line width=1.5pt,] (-1.5757359312880714,2) -- (-1.5757359312880714,2.4242640687119286) -- (-2,2.4242640687119286) -- (-2,2) -- cycle; 
\draw[line width=1.5pt,] (-1.5757359312880714,0) -- (-1.5757359312880714,0.42426406871192845) -- (-2,0.42426406871192845) -- (-2,0) -- cycle; 
\draw [line width=1.5pt] (-2,5)-- (-2,0);
\draw [line width=1.5pt] (-2,0)-- (3,0);
\draw [line width=1.5pt] (3,0)-- (-2,5);
\draw [line width=1.5pt] (-2,2)-- (1,2);
\begin{Large}
\draw (0.5,-0.5) node[anchor=center] {$b$};
\draw (-0.5,1.5) node[anchor=center] {$a$};
\end{Large}
\draw (-2.25,5.25) node {$A$};
\draw (-2.25,0.25) node {$E$};
\draw (3.25,0.25) node {$S$};
\draw (1.25,2.25) node {$I$};
\draw (-2.25,2.25) node {$M$};
\end{tikzpicture}
\end{document}